
Salt - Bug #11409

Removed unused taxonomix mixin

08/18/2015 04:46 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee:    

Category: Foreman Integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_s

alt/pull/45

  

Description

ERF42-5434 [Foreman::Exception]: unknown permission view_foreman_salt/salt_environments

 It seems to be coming from the taxonomix mixin, which we don't even need to include anyway.

Associated revisions

Revision 89a5cee0 - 08/24/2015 09:23 PM - Stephen Benjamin

fixes #11409 - remove taxonomix mixins

History

#1 - 08/18/2015 04:47 PM - Stephen Benjamin

- Related to Bug #11408: Plugin permissions are broken when using multiple selects added

#2 - 08/18/2015 04:55 PM - Stephen Benjamin

- Related to deleted (Bug #11408: Plugin permissions are broken when using multiple selects)

#3 - 08/18/2015 04:56 PM - Stephen Benjamin

- Subject changed from Tests are failing with permission errors to Removed unused taxonomix mixin

Failures were actually because foreman changed some logic in the multiple_selects helper, but we should remove the mixin anyway.

#4 - 08/24/2015 09:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman_salt/pull/45 added

- Pull request deleted ()

#5 - 08/26/2015 08:03 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman_salt|89a5cee0224af7c3f2594e0ce36def043923a94a.
